Operations
List organization-level audit events
GET /v1/organizations/{id}/audit-events · SDK listOrganizationAuditEvents · CLI deployments audit organization-list
GET
Requires audit:read.
platformBearerheader
AuthorizationBearer <token>Platform bearer credential accepted as an opaque API key or JWT.
id*stringMatch
^[0-7][0-9A-HJKMNP-TV-Z]{25}$cursor?stringLength
1 <= length <= 4096limit?integerRange
1 <= value <= 100since?stringInclusive canonical UTC timestamp.
Format
date-timeuntil?stringExclusive canonical UTC timestamp.
Format
date-timeactor?stringLength
1 <= lengthresource?stringLength
1 <= lengthevent?stringLength
1 <= lengthx-deployments-organization*stringMatch
^[0-7][0-9A-HJKMNP-TV-Z]{25}$OrganizationAuditEventPageResponse
application/json- response
items*array<>nextCursor?|nullcurl -X GET "https://example.com/v1/organizations/string/audit-events" \ -H "x-deployments-organization: string"{ "items": [ { "action": "string", "actor": { "id": "string", "operatorAccessGrantId": "string", "type": "agent" }, "changes": { "property1": null, "property2": null }, "id": "string", "occurredAt": "2019-08-24T14:15:22Z", "organizationId": "string", "resourceId": "string", "resourceType": "string", "sourceIpHash": "string", "userAgentHash": "string", "projectId": "string" } ], "nextCursor": "string"}